
Foreman - Refactor #191

Query should return all hosts, not just recent.

03/23/2010 11:49 PM - Bash Shell

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Search   

Target version: 0.1-5   

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The "find_hosts" method for query uses this following line of code:

list = Host.recent.with_class(k).send(state).map(&:name)

 If a person queries Foreman for certain facts, this will only returns "recent" hosts having those facts.

If a host has no recent reports, it won't be included.

I'm not sure what is the rationale behind this.

Wouldn't it be better if a query returns ALL hosts matching the given facts and classes regardless of recent reports?

Related issues:

Has duplicate Foreman - Bug #184: Query 'state' doesn't work Closed

Has duplicate Foreman - Bug #188: Fact, Class, State combined filter doesn't ... Closed 03/23/2010

Associated revisions

Revision f217c950 - 03/25/2010 01:14 PM - Ohad Levy

fixes #191 - Query should return all hosts, not just recent

History

#1 - 03/25/2010 01:19 PM - Ohad Levy

- Category set to 19

- Assignee set to Ohad Levy

- Target version set to 0.1-5

#2 - 03/25/2010 01:21 PM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset f217c950e4b148b021ade38f7a6bd6c75f0d90ad.

#3 - 03/25/2010 01:27 PM - Ohad Levy

- Status changed from Ready For Testing to Closed

#4 - 10/16/2018 01:32 PM - Tomer Brisker

- Category changed from 19 to Search
